Katello - Bug #7309

Error link from failed repository sync gives me a spinner
08/29/2014 04:10 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Brad Buckingham
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1093483 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/462
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1093483
Description of problem:

When | tried to synchronize a custom puppet repository (http://omaciel.fedorapeople.org/fakepuppet02/) there was an error
generated that did not bubble up to the Ul or production.log. Once the sync process failed, there was an error link in the Ul (see
attached screenshot) that when clicked gave me a spinner that never went away

Version-Release number of selected component (if applicable):
How reproducible:

Steps to Reproduce:

1. Use http:/omaciel.fedorapeople.org/fakepuppet02/ to create a custom puppet repository
2. Synchronize it

3.

Actual results:
The sync process fails but there's no information as to why it failed
Expected results:

Additional info:

Associated revisions

Revision 366d89d0 - 09/03/2014 01:02 PM - Brad Buckingham
fixes #7309 / BZ 1093483 - Repo sync status - update Ul cross-links and status based on dynflow task

The Sync Status page was recently updated to sync repositories
using dynflow tasks. With this, all syncs whether they are
initiated by Sync Status, Product or Repository pages should

be executed through dynflow.

That said, the API (which is used for showing sync status on
the Products, Repositories, Content Views and Content View
Filter pages) is currently reporting the status using

pulp; however, that does not provide a true indication of
whether or not the sync process has completed successfully.

This commit will address 2 things:

1. Update the API to return the 'last sync' information using the
dynflow task (vs pulp). This information is then used for displaying
sync time, status...etc.

2. Update the cross-linking for individual repositories on the various
pages to go directly to the dynflow task versus sending the user to the
sync status page. This will allow the user to see

any errors that may have occured without having to search for
the repo once landing on Sync Status and then having to click
again to get to the dynflow task.

Revision 88b639ce - 09/03/2014 01:02 PM - Brad Buckingham
fixes #7309 / BZ 1093483 - Repo sync status - update Ul cross-links and status based on dynflow task

The Sync Status page was recently updated to sync repositories
using dynflow tasks. With this, all syncs whether they are
initiated by Sync Status, Product or Repository pages should

be executed through dynflow.

That said, the API (which is used for showing sync status on
the Products, Repositories, Content Views and Content View
Filter pages) is currently reporting the status using

pulp; however, that does not provide a true indication of
whether or not the sync process has completed successfully.

This commit will address 2 things:

1. Update the API to return the 'last sync' information using the
dynflow task (vs pulp). This information is then used for displaying
sync time, status...etc.

2. Update the cross-linking for individual repositories on the various
pages to go directly to the dynflow task versus sending the user to the
sync status page. This will allow the user to see

any errors that may have occured without having to search for

the repo once landing on Sync Status and then having to click

again to get to the dynflow task.

Revision 739a042d - 09/04/2014 02:00 PM - Brad Buckingham

Merge pull request #4627 from bbuckingham/issue-7309

fixes #7309 / BZ 1093483 - Repo sync status - update Ul cross-links and status based on dynflow task
Revision 070d9e9b - 09/04/2014 02:00 PM - Brad Buckingham

Merge pull request #4627 from bbuckingham/issue-7309

fixes #7309 / BZ 1093483 - Repo sync status - update Ul cross-links and status based on dynflow task

History

#1 - 08/29/2014 04:10 PM - Brad Buckingham
- Assignee set to Brad Buckingham

- Triaged changed from No to Yes

#2 - 08/29/2014 04:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 55

- Pull request https://github.com/Katello/katello/pull/4627 added
- Pull request deleted ()

#3 - 09/04/2014 02:01 PM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|366d89d025ae79467b6f48522b6c9b0a31c304b8.

#4 - 09/15/2014 02:22 PM - Eric Helms

- translation missing: en.field_release set to 13
